<?php					  
	session_start();
	if (!(isset($_SESSION['myusername']) && $_SESSION['myusername'] != '')) {
		header("location:main_login.php");
	}

	
	require 'database.php';
	include ("Utility.php");
	
	date_default_timezone_set('Europe/London');

	$year = null;
	$monthno = null;
	$dayno = null;
	$prayer = null;
	if ( !empty($_GET['monthno'])) {
		$monthno = $_REQUEST['monthno'];
		$dayno = $_REQUEST['dayno'];
		$prayer = $_REQUEST['prayer'];
	}
	
	if ( null==$monthno ) {
		header("Location: index.php");
	}
	
	if ( !empty($_POST)) {
		// keep track validation errors
		$sehriError = null;
		
		// keep track post values
		$prayertime = $_POST['prayertime'];
		
		$days = $_POST['days'];		
		
		// validate input
		$valid = true;
		
		//set days to zero if empty
		if (empty($days) || !is_numeric($days)) {
			$days = 1;
		}
				
		if (empty($prayertime)) {
			$prayerError = 'Please enter '.$prayer;
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($prayertime))
			{
				$prayerError = 'Time is not valid';
				$valid  = false;
			}
		}
		
			
		
		// update data
		if ($valid) {
		
			//date_default_timezone_set('Europe/London');
		
			$prayertime = date("H:i", strtotime($prayertime));
			
			$timestamp = date("Y-m-d H:i:s", time());
			//echo $timestamp;
			
			$year  = date('Y');
			
			$pdo = Database::connect();			
			$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);	
			
			for ($x = 0; $x < $days; $x++) {
				$date = strtotime("+".$x." day", strtotime($year."-".$monthno."-".$dayno));
				//echo "The number is: $x <br>";
				//echo date("Y-m-d", $date);	
				$m = date("m", $date);
				$d = date("d", $date);
					
				$sql = "UPDATE PrayerTimes  set ".$prayer." = ?, dateUpdated =? WHERE MonthNo = ? AND DayNo = ?";
				$q = $pdo->prepare($sql);
				$q->execute(array($prayertime,$timestamp,$m,$d));
			}
			Database::disconnect();
			header("Location: index.php");
		}
	} else {
		$pdo = Database::connect();
		$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$sql = "SELECT MonthNo, DayNo, DATE_FORMAT(".$prayer.",'%H:%i') As ".$prayer
								." FROM PrayerTimes where MonthNo = ? AND DayNo = ?";
		$q = $pdo->prepare($sql);
		$q->execute(array($monthno,$dayno));
		$data = $q->fetch(PDO::FETCH_ASSOC);
		$prayertime = $data[$prayer];
		Database::disconnect();
	}
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <link   href="css/bootstrap.min.css" rel="stylesheet">
    <script src="js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
    
    			<div class="span10 offset1">
    				<div class="row">
		    			<h3>Update Time for <?php echo Utility::getMonthName($monthno)." ".$dayno;?></h3>
						<A HREF ="Logout.php">Log out</A>
		    		</div>
    		
	    			<form class="form-horizontal" action="update3.php?monthno=<?php echo $monthno;?>&dayno=<?php echo $dayno;?>&prayer=<?php echo $prayer;?>" method="post">
						<div class="control-group <?php echo !empty($sehriError)?'error':'';?>">
							<label class="control-label"><?php echo $prayer;?></label>
							<div class="controls">
								<input name="prayertime" type="text"  placeholder="<?php echo $prayer;?>" value="<?php echo !empty($prayertime)?$prayertime:'';?>"> for
								<input name="days"  type="number"   placeholder="Days" min="1" max="30" step="1" value="1"> Days
								<?php if (!empty($prayerError)): ?>
									<span class="help-inline"><?php echo $prayerError;?></span>
								<?php endif; ?>
							</div>
						  </div>
					  <div class="form-actions">
						  <button type="submit" class="btn btn-success">Update</button>
						  <a class="btn" href="index.php">Back</a>
						</div>
					</form>
				</div>
				
    </div> <!-- /container -->
  </body>
</html>